# XMLInteger Class Reference

Inheritance diagram for XMLInteger:

List of all members.

## Public Member Functions

| XMLInteger (const int intVal)
| Constructs a newly allocated `XMLInteger` object.
| ~XMLInteger ()
int | intValue () const
| Returns the built in integer value.

## Constructor & Destructor Documentation

XMLInteger::XMLInteger | ( | const int | intVal | ) |

Constructs a newly allocated `XMLInteger` object.

Parameters:

  | intVal | the `integer`

XMLInteger::~XMLInteger | ( |  | ) |

## Member Function Documentation

int XMLInteger::intValue | ( |  | ) | const

Returns the built in integer value.

The documentation for this class was generated from the following file:

- XMLInteger.hpp